%define name python-markdown
%define version 2.3.1
%define release %mkrel 3
%define oname Markdown

Summary: Python implementation of the markdown text-to-HTML conversion tool
Name: %{name}
Version: %{version}
Release: %{release}
Source:  http://pypi.python.org/packages/source/M/Markdown/%oname-%version.tar.gz
License: BSD
Group: Development/Python
BuildRequires: pkgconfig(python)
BuildRequires: python-nose
BuildRequires: pkgconfig(python3) 
BuildRequires: python3-nose
Url: http://www.freewisdom.org/projects/python-markdown/ 
BuildArch: noarch

%description
This is a Python implementation of John Gruber's Markdown. It is almost 
completely compliant with the reference implementation, though there 
are a few known issues

Markdown  is a text-to-HTML conversion tool for web writers. Markdown 
allows you to write using an easy-to-read, easy-to-write plain text format, 
then convert it to structurally valid XHTML (or HTML).

%package -n python3-markdown
Summary: Python 3 implementation of the markdown text-to-HTML conversion tool
Group: Development/Python

%description -n python3-markdown
This is a Python implementation of John Gruber's Markdown. It is almost
completely compliant with the reference implementation, though there
are a few known issues

Markdown  is a text-to-HTML conversion tool for web writers. Markdown
allows you to write using an easy-to-read, easy-to-write plain text format,
then convert it to structurally valid XHTML (or HTML).

%prep
%setup -q -n %oname-%version 
# remove shebangs
find markdown -type f -name '*.py' \
  -exec sed -i -e '/^#!/{1D}' {} \;

# fix line-ending
sed -i 's/\r//' docs/release-2.2.0.txt

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%{__python3} setup.py build
popd

%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# rename binary
mv %{buildroot}%{_bindir}/markdown_py{,-%{python_version}}

pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

# rename binary
mv %{buildroot}%{_bindir}/markdown_py{,-%{python3_version}}

# 2.X binary is called by default for now
ln -s markdown_py-%{python_version} %{buildroot}%{_bindir}/markdown_py


%check
%{__python} run-tests.py

pushd %{py3dir}
%{__python3} run-tests.py
popd

%files 
%doc build/docs/*
%{python_sitelib}/*
%{_bindir}/markdown_py
%{_bindir}/markdown_py-%{python_version}

%files -n python3-markdown
%doc build/docs/*
%{python3_sitelib}/*
%{_bindir}/markdown_py-%{python3_version}



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.3.1-3.mga4
+ Revision: 543696
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.3.1-2.mga4
+ Revision: 498891
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 2.3.1-1.mga4
+ Revision: 450097
- Update to 2.3.1, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 2.2.1-2.mga3
+ Revision: 379109
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 philippem <philippem> 2.2.1-1.mga3
+ Revision: 318306
- Update to 2.2.1
- Update to 2.2.1

* Sat Sep 08 2012 philippem <philippem> 2.2.0-1.mga3
+ Revision: 290070
- New upstream release 2.2.0

* Thu Jan 26 2012 philippem <philippem> 2.1.1-1.mga2
+ Revision: 201810
- Update to 2.1.1.

* Wed Dec 07 2011 philippem <philippem> 2.1.0-1.mga2
+ Revision: 178419
- Update to 2.1.0

* Mon Feb 21 2011 ahmad <ahmad> 2.0.3-3.mga1
+ Revision: 55595
- rebuild to make all pythonegg requires/provides lowercase

* Thu Jan 27 2011 ahmad <ahmad> 2.0.3-2.mga1
+ Revision: 42230
- imported package python-markdown


* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.0.3-2mdv2011.0
+ Revision: 592470
- rebuild to get correct auto requries

* Sat Mar 13 2010 Michael Scherer <misc@mandriva.org> 2.0.3-1mdv2010.1
+ Revision: 518607
- update to 2.0.3

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.6a-1mdv2010.0
+ Revision: 136450
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Michael Scherer <misc@mandriva.org>
    - add missing egg-info
    - Import python-markdown

